Skip to main content
`Ctrl`+`K`

# NEPNLEIGSSetInterpolation

Sets the tolerance and maximum degree when building the interpolation via divided differences.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetInterpolation(NEP nep,PetscReal tol,PetscInt degree)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- tol - tolerance to stop computing divided differences

- degree - maximum degree of interpolation

## Options Database Keys

- -nep_nleigs_interpolation_tol tol - sets the tolerance to stop computing divided differences

- -nep_nleigs_interpolation_degree degree - sets the maximum degree of interpolation

## Note

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default value.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSGetInterpolation()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSSetInterpolation_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages